Subject: [bug#47593] [PATCH 5/6] gnu: python-xyz: Add python-quicktions.

From: Efraim Flashner <[email-masked]>
Date: Wed, 14 Apr 2021 18:17:20 +0300

On Wed, Apr 14, 2021 at 12:10:31AM +0300, Bonface Munyoki K. wrote:
> Efraim Flashner <[email-masked]> writes:
> 
> > On Sun, Apr 04, 2021 at 03:20:04PM +0300, BonfaceKilz wrote:
> >> * gnu/packages/python-xyz.scm (python-quicktions): New variable.
> >> 
> >> Co-authored-by: jgart <[email-masked]>
> >> ---
> [..]
> >> +    (synopsis
> >> +     "Fast fractions data type for rational numbers. Cythonized version of 'fractions.Fraction'.")
> >
> > I'd trim this to 'Fast fractions data type for rational numbers'
> >
> 
> Noted.
> 
> >> +    (description
> >> + "Fast fractions data type for rational
> >> numbers. Cythonized version of
> >> 'fractions.Fraction'.")
> >
> > And this I'd change to 'This package provides fast fractions data type
> > for rational numbers.  It is the cythonized version of
> > @quote{fractions.Fraction}.'
> >
> 
> Makes sense. What's the "@quote{}" syntax. Where
> would I get more of the documentation of the
> syntax to put in the description?
> 

Looks like @quote isn't actually one that we're using. I must've been
thinking of @code.

I know it's from texinfo but beyond that I'm not really sure. I normally
just copy what's available from other packages.

> >> +    (license license:psfl)))
> >> -- 
> >> 2.31.0
> >> 
> >
> > Speaking of cython, you should add a snippet to the source to remove any
> > cythionized source and make sure those files get rebuilt during the
> > build phase. Looking at setup.py it looks like you should remove
> > src/quictions.c and I think it tries to cythonize automatically.
> 
> For anyone reading this(in future), the cythonized
> .pyx files can stop matching CPython APIs across
> Python versions. An example of that here:
> https://github.com/slaypni/fastdtw/pull/40
> 
> -- 
> Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
> Humble GNU Emacs User / Bearer of scheme-y parens
> Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted